Subject: bug#14422: 24.3; Eager Macro Expansion

From: Achim Gratz <[email-masked]>
Date: Sun, 26 May 2013 17:34:10 +0200

Stefan Monnier writes:
>> The following test case demonstrates a problem that has been distilled
>> from Org's test suite.
>
>    % emacs24 -Q --batch -f batch-byte-compile eme.el
>    
>    In toplevel form:
>    eme.el:3:1:Warning: global/dynamic var `ll' lacks a prefix
>    eme.el:13:1:Error: Symbol's value as variable is void: ll
>    %
>
> So the code has a problem, since byte-compiling it doesn't work

The code isn't meant to be byte-compiled, but if you want to I'd have to
split it into two seperate files.  The ERT portion of the code is never
byte-compiled in Org and I don't know if it would make sense to do this.

> (emacs24 is 24.1, here).  No wonder eager macro-expansion also leads
> to problems.

Well, the code does declare the variable symbol special and initializes
it nil, so finding the symbol undefined during compilation and/or macro
expansion would constitute a bug in either ERT or Emacs, no?

Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Wavetables for the Waldorf Blofeld:
http://Synth.Stromeko.net/Downloads.html#BlofeldUserWavetables